Bug 27236 - Auswirkung von "Voreinstellungen" bleibt unklar
Auswirkung von "Voreinstellungen" bleibt unklar
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - Internet rules
UCS@school 3.0
Other Linux
: P4 normal (vote)
: UCS@school 4.1 R2 vXXX
Assigned To: Daniel Tröder
Sönke Schwardt-Krummrich
: interim-2
Depends on:
Blocks: 40090
  Show dependency treegraph
 
Reported: 2012-05-22 17:09 CEST by Moritz Muehlenhoff
Modified: 2016-11-10 16:00 CET (History)
5 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.017
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2012-05-22 17:09:12 CEST

    
Comment 1 Moritz Muehlenhoff univentionstaff 2012-05-22 17:11:20 CEST
Im Modul zur Zuweisung von Internerregeln gibt es eine Einstellung "-- Voreinstellungen --", dabei ist für den Benutzer aber unklar, was diese Voreinstellung überhaupt ist. 

Je nachdem auf was der Default des Squidguard konfiguriert ist, sollte eher die Regel "Vollzugriff" oder "Kein Internet" gesetzt werden.
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2015-11-24 21:24:08 CET
Asked again by customer via Ticket#2015112421000288. I've been asked several time this year, what "-- Voreinstellungen --" is for (by customers and co-workers) →
raised target milestone to erratum.
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2016-01-17 23:34:28 CET
"-- Voreinstellungen --" should be replaced by "-- keine Regeln zugewiesen --"
Comment 4 Daniel Tröder univentionstaff 2016-01-18 12:19:47 CET
The texts displaying that no setting was chosen now show:
-- Default (unrestricted) -- or
-- Voreinstellungen (Unbeschränkt) --

Commits:
66835: ids: unresolved reference
66836: pep8 (white space)
66837: copyright
66838: actual text changes
66839: adapt ucs-test
66840: fix self-introduced ucs-test error

ucs-school-umc-internetrules 11.0.0-2.38.201601181217
ucs-test-ucsschool 3.0.5-4.162.201601181216
Comment 5 Daniel Tröder univentionstaff 2016-01-18 14:29:15 CET
Commit 66848 replace instance checks with sanitizers (thanks to fbest).
Comment 6 Sönke Schwardt-Krummrich univentionstaff 2016-07-07 22:54:03 CEST
Please revert changes in UCS@school 4.1 and reapply them (if required) in UCS@school 4.1 R2.
Comment 7 Daniel Tröder univentionstaff 2016-07-28 11:24:41 CEST
Did:

svn merge -rHEAD:64483
in ucs-school-4.1/ucs-school-umc-internetrules

4.1r2 did already receive the changes.
Comment 8 Daniel Tröder univentionstaff 2016-07-28 11:45:39 CEST
Reverted a commit to ucs-test-ucsschool: r71276.
Comment 9 Sönke Schwardt-Krummrich univentionstaff 2016-11-04 17:30:37 CET
Added missing advisory:

ucs-school-umc-internetrules.yaml:
r74122 | Bug #27236: updated advisory
r74121 | Bug #27236: added missing advisory
Comment 10 Sönke Schwardt-Krummrich univentionstaff 2016-11-04 17:30:58 CET
OK: code change
OK: functional test
OK: advisory
Comment 11 Sönke Schwardt-Krummrich univentionstaff 2016-11-10 16:00:47 CET
UCS@school 4.1 R2 v7 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.1R2v7-de.html

If this error occurs again, please clone this bug.